### Method

# Ide EditorPage scroll_to_line_offset

#### Declaration

    void
    ide_editor_page_scroll_to_line_offset (
      IdeEditorPage* self,
      guint line,
      guint line_offset
    )

#### Description

Like `ide_editor_page_scroll_to_line()` but allows specifying the line offset (column) to place the cursor on.

This will move the insert cursor.

Lines and offsets start from 0.

If `line_offset` is zero, the first non-space character of `line` will be used instead.

Available since: | 3.32

#### Parameters

`line` | `guint`
| The line to scroll to.
`line_offset` | `guint`
| The line offset.